{ description = "Website flake";
  inputs = {
    nixpkgs.url = "github:NixOs/nixpkgs/nixos-23.05";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, flake-utils }:
  flake-utils.lib.eachDefaultSystem (system:
  let
    pkgs = import nixpkgs { inherit system; };
  in {
    packages = {
      default = pkgs.stdenvNoCC.mkDerivation rec {

        pname = "voidcruiser";
        version = "1.3";
        src = ./.;

        buildInputs = [ pkgs.hugo ];

        buildPhase = ''
          hugo
        '';

        installPhase = ''
          mkdir -p $out/share/
          cp -r public $out/share/${pname}
        '';

      };
    };
  });
}
